[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/resupplies/{resupplyId}
Deprecated: Retrieves a resupply group by ID.
Rights: SupplySettingRightsGet. Required sponsor roles are clinical supply manager and site manager.
Rights: SupplySettingRightsGet. Required sponsor roles are clinical supply manager and site manager.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
resupplyId(required): string(uuid)
ID of resupply group.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ResupplyGroupResponse
Type:
objectTitle:
ResupplyGroupResponseResponse object for resupply group.
Show Source
Nested Schema : resupplies
Type:
Show Source
array-
Array of:
object ResupplyGroup
Title:
ResupplyGroupResupply group details.
Nested Schema : ResupplyGroup
Type:
objectTitle:
ResupplyGroupResupply group details.
Show Source
-
id: string
(uuid)
Title:
Resupply IDResupply ID. -
kitTypes: array
kitTypes
-
resupplyName: string
Title:
Resupply NameResupply name.Example:Resupply 1 -
resupplyTypeId: number
(Integer)
Title:
Resupply Type IDID of the resupply type.Example:2 -
type: string
Title:
Resupply Group TypeResupply group type.Example:Site
Nested Schema : kitTypes
Type:
Show Source
array-
Array of:
object KitTypeSummary v1.0
Title:
KitTypeSummary v1.0Kit type summary details object.
Nested Schema : KitTypeSummary v1.0
Type:
objectTitle:
KitTypeSummary v1.0Kit type summary details object.
Show Source
-
description: string
Title:
DescriptionKit type description.Example:Non dosing kit -
id: string
Title:
Kit Type IDKit type identifier.Example:kitA -
initialShippingUnits: number
(double)
The number of kits of each type that are in the initial shipment.Example:
50 -
kitTypeName: string
Title:
Kit Type NameKit type name.Example:Kit A -
manualConsignment: number
(double)
The number of kits of each type that are included in a manual shipment.Example:
50 -
maxBuffer: number
(double)
The number of kits that will be present at the site after a resupply shipment arrives.Example:
50 -
minBuffer: number
(double)
The number of kits that trigger a shipment when the resupply strategy runs.Example:
5 -
packageTypeId: number
(double)
Title:
Package Type IDAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Package type ID.Example:5 -
resupplyWeeks: number
(double)
The number of weeks that the resupply strategy resupplies for.Example:
3 -
triggerWeeks: number
(double)
The number of weeks that the resupply strategy looks out to determine the supply.Example:
3
Example:
{
"id":"938D23FA6B7241CCA41BD627E5DB60DA",
"name":"Dose Kit"
}404 Response
Resupply not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples